ZAPInit()

Global FPS.l, Time.f, LightX.f, LightY.f, LightZ.f, LightRot.f

ID = ZAPCreate(100, 100, 600, 300, #PB_Window_BorderLess, "ZAP-3DEngine") ;ffne ein OpenGLFenster/open a OpenGLWindow

X.f
Y.f
Z.f
AngleX.f
AngleY.f
AngleZ.f
PI.f = ATan(1)*4

Mesh = ZAPLoadMesh("Zap3D.zm", 0.0, 0.0, 0.0, 0.75, 1.0, 1.25, 0.0, 30.0, 180.0)
Tex = ZAPLoadTexture("tex.bmp", 0)

LightID = ZAPCreateLight(0.0, 0.0, 0.0, 1.0, $BBBBBB)

LightX.f = 0.0
LightY.f = 0.0
LightZ.f = 0.0

LightRot.f = 0

OldMouseX = WindowMouseX()
OldMouseY = WindowMouseY()

Repeat
  LightRot + 2.5
  If LightRot <= 0
    LightRot + 360
  ElseIf LightRot > 360
    LightRot - 360
  EndIf
  LightZ + Cos(LightRot*piover180)*0.05
  LightX - Sin(LightRot*piover180)*0.05
  FPS = ZAPGetFPS()
  Time.f = 0.5/FPS
  If Time.f >= 1.0 ;Timebased Movement shouldn't be so fast
    Time.f = 1.0
  EndIf
  If FPS >= 0
  SetWindowTitle(0, "ZAP-3DEngine  "+Str(FPS))
  EndIf
  If AngleY <= 0
    AngleY + 360
  ElseIf AngleY > 360
    AngleY - 360
  EndIf
  ZAPClearBuffers(ID)
  ZAPSetCamera(45, X, Y, Z-3, AngleX, AngleY, 0, 0.01, 50.0)
  ZAPUseTexture(Tex)
  ZAPDrawMesh(Mesh)
  ZAPFlipBuffers(ID)
  Event = WindowEvent()
  Select Event
    Case #WM_KEYDOWN
      Select EventwParam()
        Case #VK_ESCAPE
          Quit = 1
        Case #VK_UP
          Z + Cos(AngleX/180*PI)*Cos(AngleY/180*PI)*0.025
          Y + Sin(AngleX/180*PI)*0.025
          X - Sin(AngleY/180*PI)*Cos(AngleX/180*PI)*0.025
        Case #VK_DOWN
          Z - Cos(AngleX/180*PI)*Cos(AngleY/180*PI)*0.025
          Y - Sin(AngleX/180*PI)*0.025
          X + Sin(AngleY/180*PI)*Cos(AngleX/180*PI)*0.025
      EndSelect
  EndSelect
Until Quit = 1
End
; ExecutableFormat=
; CursorPosition=14
; FirstLine=1
; DisableDebugger
; EOF