ZAPInit()

Global FPS.l, LightX.f, LightY.f, LightZ.f, LightRot.f

ID = ZAPCreate(100, 100, 640, 480, #PB_Window_BorderLess, "ZAP-3DEngine") ;ffne ein OpenGLFenster/open a OpenGLWindow

X.f
Y.f
Z.f
AngleX.f
AngleY.f
AngleZ.f
piover180.f = (ATan(1)*4)/180

ZMesh0 = ZAPLoadMesh("cube.zm", 0.0, 0.0, 0.0, 0.5, 0.5, 0.5, 0.0, 0.0, 0.0)
ZMesh1 = ZAPLoadMesh("cube.zm", 1.25, 0.0, 0.0, 1.0, 1.0, 1.0, 0.0, 0.0, 0.0)
ZMesh2 = ZAPLoadMesh("cube.zm", 0.0, -0.525, 0.0, 50.0, 0.25, 50.0, 0.0, 0.0, 0.0)

Tex0 = ZAPLoadTexture("tex1.bmp", 2)
Tex1 = ZAPLoadTexture("tex2.bmp", 2)
Tex2 = ZAPLoadTexture("tex3.bmp", 0)

ZAPScaleMesh(ZMesh0, 0.5, 0.5, 0.5) ;Scale the ZMesh0

LightID0 = ZAPCreateLight(LightX.f, LightY.f, LightZ.f, 0.0025, RGB(0, 0, 180))
LightID1 = ZAPCreateLight(0.0, 0.0, 0.0, 5.0, RGB(255, 255, 255))

Repeat
  If AngleY <= 0
    AngleY + 360
  ElseIf AngleY > 360
    AngleY - 360
  EndIf
  ZAPClearBuffers(ID)
  ZAPSetCamera(45, X, 0, Z-3, AngleX, AngleY, 0, 0.01, 50.0)
  ZAPUseTexture(Tex1)
  ZAPDrawMesh(ZMesh0)
  ZAPUseTexture(Tex0)
  ZAPDrawMesh(ZMesh1)
  ZAPDrawMesh(ZMesh2)
  ZAPMoveMesh(ZMesh0, 0.001, 0, 0, 0)
  ZAPDrawTexture(Tex2, 0.0, 0.0, 1.0, 1.0, 0)
  ZAPFlipBuffers(ID)
  Event = WindowEvent()
  Select Event
    Case #WM_KEYDOWN
      Select EventwParam()
        Case #VK_ESCAPE
          Quit = 1
        Case #VK_NEXT
          AngleX + 1
        Case #VK_PRIOR
          AngleX - 1
        Case #VK_UP
          Z + Cos(AngleY*piover180)*0.05
          X - Sin(AngleY*piover180)*0.05
        Case #VK_DOWN
          Z - Cos(AngleY*piover180)*0.05
          X + Sin(AngleY*piover180)*0.05
        Case #VK_RIGHT
          AngleY + 1
        Case #VK_LEFT
          AngleY - 1
      EndSelect
  EndSelect
Until Quit = 1
End
; ExecutableFormat=
; CursorPosition=41
; FirstLine=16
; DisableDebugger
; EOF